package com.gic.store.service;

import com.gic.store.entity.TabStoreGroupStrategyWeights;

/**
 * @author guojx
 * @date 2019/7/4 9:24 AM
 */
public interface StoreGroupStrategyWeightsService {

    /**
     * 获取分组权重
     * @param enterpriseId
     * @return
     */
    TabStoreGroupStrategyWeights getWeightByEnterpriseId(Integer enterpriseId);

    /**
     * 保存数据
     * @param record
     * @return
     */
    int saveOrUpdate(TabStoreGroupStrategyWeights record);

    /**
     * 权重是否启用，如果启用，则不执行分组策略
     * @return
     */
    boolean isEnabled(Integer enterpriseId);
}
